Show / Hide Table of Contents

# Struct ImFontGlyphPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontGlyphPtr

### Constructors

| Improve this Doc View Source

#### ImFontGlyphPtr(ImFontGlyph*)

##### Declaration

    public ImFontGlyphPtr(ImFontGlyph*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyph* | nativePtr |

| Improve this Doc View Source

#### ImFontGlyphPtr(IntPtr)

##### Declaration

    public ImFontGlyphPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### AdvanceX

##### Declaration

    public readonly ref float AdvanceX { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Codepoint

##### Declaration

    public readonly ref uint Codepoint { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Colored

##### Declaration

    public readonly ref uint Colored { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImFontGlyph*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontGlyph* |

| Improve this Doc View Source

#### U0

##### Declaration

    public readonly ref float U0 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### U1

##### Declaration

    public readonly ref float U1 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### V0

##### Declaration

    public readonly ref float V0 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### V1

##### Declaration

    public readonly ref float V1 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Visible

##### Declaration

    public readonly ref uint Visible { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### X0

##### Declaration

    public readonly ref float X0 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### X1

##### Declaration

    public readonly ref float X1 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y0

##### Declaration

    public readonly ref float Y0 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y1

##### Declaration

    public readonly ref float Y1 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Operators

| Improve this Doc View Source

#### Implicit(ImFontGlyph* to ImFontGlyphPtr)

##### Declaration

    public static implicit operator ImFontGlyphPtr(ImFontGlyph*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyph* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontGlyphPtr |

| Improve this Doc View Source

#### Implicit(ImFontGlyphPtr to ImFontGlyph*)

##### Declaration

    public static implicit operator ImFontGlyph*(ImFontGlyphPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFontGlyph* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontGlyphPtr)

##### Declaration

    public static implicit operator ImFontGlyphPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontGlyphPtr |